<script type="text/javascript">	
$(document).ready(function() {	
	$("#cari").click(function(){		
		var bulan = $("#t_bulan").val();
		var tahun = $("#t_tahun").val();
		var nopol = $("#t_nopol").val();
		var radiobt	= $(".radio:checked").val();
		var cek_radio	= $(".radio:checked");
		
		if(bulan.length==''){
			alert('Maaf, Bulan laporan belum dipilih.');
			$("#t_bulan").focus();
			return false;
		}
		if(tahun.length==''){
			alert('Maaf, Tahun laporan belum diisi.');
			$("#t_tahun").focus();
			return false;
		}
		
		if(cek_radio.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih Bulanan atau Tahunan.");
			$("#radio_dk").focus();
			return (false);		   
        }
		
		$("#data_lr").show();
		if(radiobt=='B')
			$("#data_lr").load('modul/report/tampil_data_lrkd.php?bulan='+bulan+'&tahun='+tahun+'&nopol='+nopol);
		else
			$("#data_lr").load('modul/report/tampil_data_lrtkd.php?bulan='+bulan+'&tahun='+tahun+'&nopol='+nopol);
	});
	
	$("#cetak").click(function() {
		var bulan = $("#t_bulan").val();
		var tahun = $("#t_tahun").val();
		var nopol = $("#t_nopol").val();
		var radiobt	= $(".radio:checked").val();
		var cek_radio	= $(".radio:checked");
		
		if(bulan.length==''){
			alert('Maaf, Bulan laporan belum dipilih.');
			$("#t_bulan").focus();
			return false;
		}
		if(tahun.length==''){
			alert('Maaf, Tahun laporan belum diisi.');
			$("#t_tahun").focus();
			return false;
		}
		
		if(cek_radio.length == 0){
			var error = true;
			alert("Maaf, Anda belum memilih Bulanan atau Tahunan.");
			$("#radio_dk").focus();
			return (false);		           
		}
		
		if(radiobt=='B')
			window.location.href='modul/laporan/labrugkd_bln.php?bulan='+bulan+'&tahun='+tahun+'&nopol='+nopol;
		else
			window.location.href='modul/laporan/labrugkd_thn.php?bulan='+bulan+'&tahun='+tahun+'&nopol='+nopol;
	});
	
	$("#tutup").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';

$tanggal=date('Y-m-d');
$tahun=substr($tanggal,0,4);
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h2>LAPORAN LABA RUGI USAHA<h2></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table width='100%'>
			<tr>
				<td>Bulan : <select name='t_bulan' id='t_bulan' >
						<option value='' selected>-Pilih-</option>
						<option value='1'> 1 - JANUARI</option>
						<option value='2'> 2 - FEBRUARI</option>
						<option value='3'> 3 - MARET</option>
						<option value='4'> 4 - APRIL</option>
						<option value='5'> 5 - MEI</option>
						<option value='6'> 6 - JUNI</option>
						<option value='7'> 7 - JULI</option>
						<option value='8'> 8 - AGUSTUS</option>
						<option value='9'> 9 - SEPTEMBER</option>
						<option value='10'>10 - OKTOBER</option>
						<option value='11'>11 - NOVEMBER</option>
						<option value='12'>12 - DESEMBER</option>
					</select>
				</td>
			
				<td>Tahun : <input type='number' name='t_tahun' id='t_tahun' value='$tahun' ></td>
				
				<td>Nomor Polisi : <select id='t_nopol' class='input_header'>";
					$sql = mysql_query("SELECT * FROM truk ORDER BY nopol");
					while($r=mysql_fetch_array($sql)){
						$nopol = $r[nopol];
						echo "<option value='$nopol'>$nopol - $r[nama_kd]</option>";
					}
					echo "</select>
				</td>
				<td><input type='radio' name='radio_bt' id='radio_bt' value='B' class='radio'>Bulanan <input type='radio' name='radio_bt' id='radio_bt' value='T' class='radio'>Tahunan</td>
				<td>
					<button name='cari' id='cari'>Cari</button>
					<button name='cetak' id='cetak'>Cetak</button>					
					<button name='tutup' id='tutup'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_lr' align='center'></div>";

echo "</div>";
?>
